package roseindia.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.commons.CommonsMultipartFile;

import roseindia.form.SampleForm;

@Controller
@RequestMapping(value = "/param/")
public class ApplicationController {
	@RequestMapping(value = "/index")
	public String loadIndex(Model model, SampleForm sampleForm) {
		model.addAttribute("sampleForm", sampleForm);
		return "index";
	}

	/*
	 * The method written below takes the request parameters individually by
	 * using @RequestParam However you can also use @ModelAttribute to take the
	 * form/model object.
	 */

	@RequestMapping(value = "/process-form")
	public String processForm(
			@RequestParam(value = "rollNo") Integer rollNo,
			@RequestParam(value = "name") String name,
			@RequestParam(value = "address") String address,
			@RequestParam(value = "commonsMultipartFile") CommonsMultipartFile commonsMultipartFile,
			Model model) {
		model.addAttribute("rollNo", rollNo);
		model.addAttribute("name", name);
		model.addAttribute("address", address);
		model.addAttribute("multipartFile", commonsMultipartFile);
		return "view-data";
	}
}